<?php
include('./conexion.php');


$nombre = mysqli_query($conexion,"SELECT * FROM Usuarios WHERE IdUsuario = '".$_SESSION['id_usu']."'");
$nombre2 = mysqli_fetch_array($nombre);

$user= $nombre2['Nombre'].' '.$nombre2['Apellidos'];
$codigo = $_POST['codigo'];
$nombre = $_POST['nombre'];
$rfc = $_POST['rfc'];
$dom = $_POST['dom'];
$tipo = $_POST['tipo'];
$tel = $_POST['tel'];
$cel = $_POST['cel'];
$suc = $_POST['suc'];
$cor = $_POST['cor'];
$flag = $_POST['flag'];
$dcto = $_POST['desc'];

$tn = $_POST['tn'];
$fecha = date('Y-m-d');

if($rfc == ''){
	$rfc = "-";
}
if($dom == ''){
	$dom = "-";
}

if($tel == ''){
	$tel = "-";
}
if($cel == ''){
	$cel = "-";
}
$nombre = strtoupper($nombre);
$dom = strtoupper($dom);
$rfc = strtoupper($rfc);


/*
$codigo= 1234;
$nombre= jose;
$rfc= 1234;
$rs= 1234;
$calle= 1234;
$ne= 1234;
$ni= 1234;
$cp= 1234;
$col= 1234;
$ciu= 1234;
$edo= 1234;
$cor= 1234;
$tel= 1234;
$cel= 1234;
$fecha= date(d-m-Y);

nombre LIKE '%$dato%' OR idremitente LIKE '%$dato%'
*/
if($flag == 1){

$n = mysqli_query($conexion,"SELECT * FROM Clientes WHERE Nombre = '$nombre'");
	$r = mysqli_query($conexion,"SELECT * FROM Remitente WHERE RFC = '$rfc'");
	$rsc = mysqli_query($conexion,"SELECT * FROM Remitente WHERE RazonSocial = '$rs'");
	if(mysqli_num_rows($n)>0){
		echo '2';
	}else{
	mysqli_query($conexion,"INSERT INTO Clientes VALUES(DEFAULT,'$nombre','$dom','$rfc','$cel','$tel',NULL,'$suc','$tipo',DEFAULT,'1','0','$cor','$dcto','1'); ");
	$_SESSION['cod_clientenvo'] = $codigo;
	echo '1';
	}

}else if($flag == 2){
	mysqli_query($conexion,"UPDATE Clientes SET Nombre = '$nombre',Domicilio = '$dom',RFC='$rfc',Celular ='$cel',Telefono ='$tel',IdSucursal ='$suc',TipoCliente ='$tipo',Correo = '$cor',Dcto = '$dcto',TipoNota = '1' WHERE IdCliente = '$codigo'");
	echo '1';
}

?>